using System;

class Program
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        int k = int.Parse(s[1]);
        int x = int.Parse(s[2]); // ocekujemo x=2

        string[] s2 = Console.ReadLine().Split();
        long[] p = new long[n];
        for (int i = 0; i < n; i++) p[i] = long.Parse(s2[i]);

        int podniz = n - k + 1;

        for (int i = 0; i < podniz; i++)
        {
            long sum = 0;
            for (int j = 0; j < k; j++) sum += p[i + j];

            long pref = 0;
            long minPref = long.MaxValue;

            for (int j = 0; j < k; j++)
            {
                pref += p[i + j];
                if (pref < minPref) minPref = pref;
            }

            long rez = 2 * sum - minPref;

            if (i > 0) Console.Write(" ");
            Console.Write(rez);
        }

        Console.WriteLine();
    }
}